﻿using ComputerShopDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopDataModels.Models
{
    public interface IPurchaseModel : IId
    {
        int ComponentId { get; }
        string ComponentName { get; }
        int Count { get; }
        double Sum { get; }
        PurchaseStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }
}
