﻿using ComputerShopDataModels.Enums;
using ComputerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BindingModels
{
    public class PurchaseBindingModel : IPurchaseModel
    {
        public int Id { get; set; }
        public int ComponentId { get; set; }
        public string ComponentName { get; set; } = string.Empty;
        public int Count { get; set; }
        public double Sum { get; set; }
        public PurchaseStatus Status { get; set; } = PurchaseStatus.Неизвестен;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }
    }
}
